Tokens

Fetch information about all liquidity pools associated with a specific token.free

GET/v3/tokens/{chain}/{address}/pools
X-API-Key<token>

In: header

Path Parameters

chain*string

Chain id

address*string

Token address

Query Parameters

sort*string

Sorting type:

  • creationTime — Newest first by creation date
  • gainers — Largest percentage gain
  • losers — Largest percentage loss

Value in

  • "creationTime"
  • "gainers"
  • "losers"
order*string

Sorting order:

  • asc — Ascending
  • desc — Descending

Value in

  • "asc"
  • "desc"
from*|

From filter (ISO date or block number)

to*|

To filter (ISO date or block number)

page?number

Page number, starting at 0

pageSize?number

Result count per page

Response Body

application/json

curl -X GET "https://example.com/v3/tokens/ether/0xfb7b4564402e5500db5bb6d63ae671302777c75a/pools?sort=creationTime&order=asc&from=2023-10-01T00%3A00%3A00.000Z&to=2023-11-01T00%3A00%3A00.000Z"
{  "totalPages": 0,  "page": 0,  "pageSize": 0,  "results": [    {      "address": "string",      "exchangeName": "string",      "exchangeFactory": "string",      "creationTime": "2019-08-24T14:15:22Z",      "creationBlock": 0,      "mainToken": {        "address": "string",        "symbol": "string",        "name": "string"      },      "sideToken": {        "address": "string",        "symbol": "string",        "name": "string"      },      "fee": 0    }  ]}